Skip to main content
GET
Lists all check results

Authorizations

Authorization
string
header
required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure! Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID. For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"

Headers

x-checkly-account
string<uuid>

Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general

Path Parameters

checkId
string<uuid>
required
Minimum string length: 1

Query Parameters

limit
integer
default:10

Limit the number of results to fetch (default 10)

Required range: 1 <= x <= 100
location
enum<string>

Provide a data center location, e.g. "eu-west-1" to filter by location

Available options:
us-east-1,
us-east-2,
us-west-1,
us-west-2,
ca-central-1,
sa-east-1,
eu-west-1,
eu-central-1,
eu-west-2,
eu-west-3,
eu-north-1,
eu-south-1,
me-south-1,
ap-southeast-1,
ap-northeast-1,
ap-east-1,
ap-southeast-2,
ap-southeast-3,
ap-northeast-2,
ap-northeast-3,
ap-south-1,
af-south-1
checkType
enum<string>

The type of the check

Available options:
AGENTIC,
API,
BROWSER,
HEARTBEAT,
ICMP,
MULTI_STEP,
TCP,
PLAYWRIGHT,
TRACEROUTE,
URL,
DNS,
SSL,
GRPC
hasFailures
boolean

Check result has one or more failures

resultType
enum<string>
default:FINAL

The check result type (FINAL,ATTEMPT,ALL)

Available options:
FINAL,
ATTEMPT,
ALL
from
number

Select records up from this UNIX timestamp (>= date). Defaults to now - 6 hours.

to
number

Optional. Select records up to this UNIX timestamp (< date). Defaults to 6 hours after "from".

page
number
default:1

Page number

Required range: x > 0

Response

Successful

resultType
enum<string>
required

The type of result.

Available options:
FINAL,
ATTEMPT,
ALL
traceId
string | null
required

OpenTelemetry trace ID associated with this check result.

id
string

The unique ID of this result.

name
string

The name of the check.

checkId
string

The ID of the check.

hasFailures
boolean

Describes if any failure occurred during this check run.

hasErrors
boolean

Describes if an internal error occurred in Checkly's backend.

isDegraded
boolean | null

Whether the check is over its degradation limit.

isCancelled
boolean

Whether the run was cancelled before completion.

overMaxResponseTime
boolean | null

Whether the response time exceeded its limit.

runLocation
string

What data center location this check result originated from.

startedAt
string<date-time> | null
stoppedAt
string<date-time> | null
created_at
string<date-time>
responseTime
number

Time the check spent producing its result, in milliseconds. For protocol checks this is the measured operation time; for browser, multi-step, Playwright and agentic checks it is the run wall-clock duration.

apiCheckResult
object | null

The response data for an API check.

browserCheckResult
object | null

The response data for a browser check.

multiStepCheckResult
object | null

The response data for a multi-step check.

agenticCheckResult
object | null

The response data for an agentic check.

playwrightCheckResult
object | null

The response data for a Playwright check.

tracerouteCheckResult
object | null

Failure-debug diagnostics for a traceroute check.

grpcCheckResult
object | null

Failure-debug diagnostics for a gRPC check.

sslCheckResult
object | null

Failure-debug diagnostics for an SSL check.

checkRunId
number

The id of the specific check run that created this result.

attempts
number

How often this check was retried.

sequenceId
string<uuid> | null

The sequence ID of the check run.

errorGroupIds
string<uuid>[] | null

IDs of error groups associated with this check result.